org.apache.http.impl.cookie

## Class RFC2965Spec

- java.lang.Object
- - org.apache.http.impl.cookie.AbstractCookieSpec
  - - org.apache.http.impl.cookie.CookieSpecBase
    - - org.apache.http.impl.cookie.RFC2109Spec
      - - org.apache.http.impl.cookie.RFC2965Spec

- All Implemented Interfaces:
    CookieSpec

      @Obsolete
      @Contract(threading=SAFE)
      public class RFC2965Spec
      extends RFC2109Spec

  RFC 2965 compliant `CookieSpec` implementation.

  Rendered obsolete by `RFC6265StrictSpec`.

  Since:
    4.0
  See Also:
    `RFC6265StrictSpec`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RFC2965Spec()` Default constructor
    `RFC2965Spec(String[] datepatterns, boolean oneHeader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `formatCookieAsVer(org.apache.http.util.CharArrayBuffer buffer, Cookie cookie, int version)` Adds valid Port attribute value, e.g.
    `int` | `getVersion()` Returns version of the state management this cookie specification conforms to.
    `org.apache.http.Header` | `getVersionHeader()` Returns a request header identifying what version of the state management specification is understood.
    `boolean` | `match(Cookie cookie, CookieOrigin origin)` Determines if a Cookie matches the target location.
    `List<Cookie>` | `parse(org.apache.http.Header header, CookieOrigin origin)` Parse the `"Set-Cookie"` Header into an array of Cookies.
    `protected List<Cookie>` | `parse(org.apache.http.HeaderElement[] elems, CookieOrigin origin)`
    `String` | `toString()`
    `void` | `validate(Cookie cookie, CookieOrigin origin)` Validate the cookie according to validation rules defined by the cookie specification.

    - ### Methods inherited from class org.apache.http.impl.cookie.RFC2109Spec

      `formatCookies, formatParamAsVer`

    - ### Methods inherited from class org.apache.http.impl.cookie.CookieSpecBase

      `getDefaultDomain, getDefaultPath`

    - ### Methods inherited from class org.apache.http.impl.cookie.AbstractCookieSpec

      `findAttribHandler, getAttribHandler, getAttribHandlers, registerAttribHandler`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RFC2965Spec

          public RFC2965Spec()

      Default constructor

    - #### RFC2965Spec

          public RFC2965Spec(String[] datepatterns,
                     boolean oneHeader)

  - ### Method Detail

    - #### parse

          public List<Cookie> parse(org.apache.http.Header header,
                           CookieOrigin origin)
                             throws MalformedCookieException

      Description copied from interface: `CookieSpec`
      Parse the `"Set-Cookie"` Header into an array of Cookies.

      This method will not perform the validation of the resultant `Cookie`s

      Specified by:
        `parse` in interface `CookieSpec`
      Overrides:
        `parse` in class `RFC2109Spec`
      Parameters:
        `header` - the `Set-Cookie` received from the server
        `origin` - details of the cookie origin
      Returns:
        an array of `Cookie`s parsed from the header
      Throws:
        `MalformedCookieException` - if an exception occurs during parsing
      See Also:
        `CookieSpec.validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)`

    - #### parse

          protected List<Cookie> parse(org.apache.http.HeaderElement[] elems,
                           CookieOrigin origin)
                                throws MalformedCookieException

      Overrides:
        `parse` in class `CookieSpecBase`
      Throws:
        `MalformedCookieException`

    - #### validate

          public void validate(Cookie cookie,
                      CookieOrigin origin)
                        throws MalformedCookieException

      Description copied from interface: `CookieSpec`
      Validate the cookie according to validation rules defined by the cookie specification.
      Specified by:
        `validate` in interface `CookieSpec`
      Overrides:
        `validate` in class `RFC2109Spec`
      Parameters:
        `cookie` - the Cookie to validate
        `origin` - details of the cookie origin
      Throws:
        `MalformedCookieException` - if the cookie is invalid

    - #### match

          public boolean match(Cookie cookie,
                      CookieOrigin origin)

      Description copied from interface: `CookieSpec`
      Determines if a Cookie matches the target location.
      Specified by:
        `match` in interface `CookieSpec`
      Overrides:
        `match` in class `CookieSpecBase`
      Parameters:
        `cookie` - the Cookie to be matched
        `origin` - the target to test against
      Returns:
        `true` if the cookie should be submitted with a request with given attributes, `false` otherwise.

    - #### formatCookieAsVer

          protected void formatCookieAsVer(org.apache.http.util.CharArrayBuffer buffer,
                               Cookie cookie,
                               int version)

      Adds valid Port attribute value, e.g. "8000,8001,8002"
      Overrides:
        `formatCookieAsVer` in class `RFC2109Spec`
      Parameters:
        `buffer` - The char array buffer to use for output
        `cookie` - The `Cookie` to be formatted as string
        `version` - The version to use.

    - #### getVersion

          public int getVersion()

      Description copied from interface: `CookieSpec`
      Returns version of the state management this cookie specification conforms to.
      Specified by:
        `getVersion` in interface `CookieSpec`
      Overrides:
        `getVersion` in class `RFC2109Spec`
      Returns:
        version of the state management specification

    - #### getVersionHeader

          public org.apache.http.Header getVersionHeader()

      Description copied from interface: `CookieSpec`
      Returns a request header identifying what version of the state management specification is understood. May be `null` if the cookie specification does not support `Cookie2` header.
      Specified by:
        `getVersionHeader` in interface `CookieSpec`
      Overrides:
        `getVersionHeader` in class `RFC2109Spec`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `RFC2109Spec`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.